Skip to main content
GET
/
v1
/
agents
List Agents
curl --request GET \
  --url https://sdk.nimbleway.com/v1/agents \
  --header 'Authorization: Bearer <token>'
[
  {
    "name": "aldi_clp",
    "is_public": true,
    "display_name": "Aldi Category Landing Page",
    "description": "The Aldi Browse Products agent extracts structured product listings from Aldi’s category pages. This agent is ideal for monitoring category-level assortment, analyzing competitive inventory, and powering product discovery and pricing intelligence use cases",
    "vertical": "Ecommerce",
    "entity_type": "Category Landing Page (CLP)",
    "domain": "www.aldi.us",
    "managed_by": "nimble"
  },
  {
    "name": "aldi_pdp",
    "is_public": true,
    "display_name": "Aldi Product Details Page",
    "description": "The Aldi Product Detail Page Agent extracts structured data from individual product pages on Aldi. This agent is ideal for tracking competitor pricing, monitoring catalog changes, and powering product intelligence use cases.\n",
    "vertical": "Ecommerce",
    "entity_type": "Product Detail Page (PDP)",
    "domain": "https://www.aldi.us/",
    "managed_by": "nimble"
  },
  {
    "name": "amazon_plp",
    "is_public": true,
    "display_name": "Amazon CLP",
    "description": "The Amazon Browse Products agent extracts structured product listings from Amazon’s category pages. This agent is ideal for monitoring category-level assortment, analyzing competitive inventory, and powering product discovery and pricing intelligence use cases",
    "vertical": "Ecommerce",
    "entity_type": "Category Landing Page (CLP)",
    "domain": "www.amazon.com",
    "managed_by": "nimble"
  },
  {
    "name": "amazon_pdp",
    "is_public": true,
    "display_name": "Amazon Product Details Page",
    "description": "The Amazon Product Detail Page Agent extracts structured data from individual product pages on Amazon. This agent is ideal for tracking competitor pricing, monitoring catalog changes, and powering product intelligence use cases.",
    "vertical": "Ecommerce",
    "entity_type": "Product Detail Page (PDP)",
    "domain": "www.amazon.com",
    "managed_by": "nimble"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

privacy
enum<string>
default:all

Filter by privacy level

Available options:
public,
private,
all
managed_by
enum<string>

Filter by who manage the agent

Available options:
nimble,
community
limit
integer
default:100

Number of results per page

Required range: 1 <= x <= 250
offset
integer
default:0

Pagination offset

Required range: x >= 0

Response

200 - application/json

Successful Response

name
string
required
is_public
boolean
required
display_name
string
required
managed_by
string
description
string | null
vertical
string | null
entity_type
string | null
domain
string | null
Example:
[
{
"name": "aldi_clp",
"is_public": true,
"display_name": "Aldi Category Landing Page",
"description": "The Aldi Browse Products agent extracts structured product listings from Aldi’s category pages. This agent is ideal for monitoring category-level assortment, analyzing competitive inventory, and powering product discovery and pricing intelligence use cases",
"vertical": "Ecommerce",
"entity_type": "Category Landing Page (CLP)",
"domain": "www.aldi.us",
"managed_by": "nimble"
},
{
"name": "aldi_pdp",
"is_public": true,
"display_name": "Aldi Product Details Page",
"description": "The Aldi Product Detail Page Agent extracts structured data from individual product pages on Aldi. This agent is ideal for tracking competitor pricing, monitoring catalog changes, and powering product intelligence use cases.\n",
"vertical": "Ecommerce",
"entity_type": "Product Detail Page (PDP)",
"domain": "https://www.aldi.us/",
"managed_by": "nimble"
},
{
"name": "amazon_plp",
"is_public": true,
"display_name": "Amazon CLP",
"description": "The Amazon Browse Products agent extracts structured product listings from Amazon’s category pages. This agent is ideal for monitoring category-level assortment, analyzing competitive inventory, and powering product discovery and pricing intelligence use cases",
"vertical": "Ecommerce",
"entity_type": "Category Landing Page (CLP)",
"domain": "www.amazon.com",
"managed_by": "nimble"
},
{
"name": "amazon_pdp",
"is_public": true,
"display_name": "Amazon Product Details Page",
"description": "The Amazon Product Detail Page Agent extracts structured data from individual product pages on Amazon. This agent is ideal for tracking competitor pricing, monitoring catalog changes, and powering product intelligence use cases.",
"vertical": "Ecommerce",
"entity_type": "Product Detail Page (PDP)",
"domain": "www.amazon.com",
"managed_by": "nimble"
}
]